Base URL: https://demo-api.incodesmile.com — Incode demo environment
Validate/invalidate API key for current user's organization. If user is super admin, parameter apiKey can be provided to specify organization for which the key should be adjusted (ignored otherwise). User is not allowed to invalidate last valid key of the belonging organization. Super admin user can invalidate last valid keys of other organizations (effectively revoking their access to the application).
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
valid |
boolean | yes | Key validity. |
name |
string | Key name. | |
apiKey |
string | Organization reference. |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | Key name. | |
value |
string | Key value, sha1(clientId). | |
clientId |
string | Key clientId, name + random 3 digits. | |
valid |
boolean | Key validity. | |
createdAt |
integer (int64) | Key creation timestamp. | |
updatedAt |
integer (int64) | Key adjustment timestamp. |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |